<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('subjects_assigns', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('student_class_id');
            // $table->unsignedBigInteger('department_id');
            $table->unsignedBigInteger('subject_id');
            $table->unsignedBigInteger('group_id')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('subjects_assigns');
    }
};
